EDIT - feature request #5671

Name selection should not allow self referencing name relationships
03/31/2016 03:07 PM - Andreas Mdller

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

Currently, when creating a name relationship it is possible to select the same name for the to and from part. This should not be
possible.

Maybe the same problem exists for other relationships such as taxon relationships.

Related issues:
Related to EDIT - bug #6426: Avoid stack overflow in self referencing references New

Associated revisions

Revision c1¢83a38 - 01/12/2017 04:50 PM - Katja Luther

fix #5671: add filter element for selection dialog

History

#1 - 09/02/2016 03:08 PM - Andreas Miiller
- Description updated

- Priority changed from New to Highest

#2 - 10/05/2016 12:31 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 4.5

#3 - 01/12/2017 04:50 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|c1c83a38d07bdc4286ce7abb8b30789d0c32e637.

#4 - 01/19/2017 02:04 PM - Andreas Miiller

- Private changed from Yes to No

#5 - 01/20/2017 02:28 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#6 - 02/17/2017 12:01 AM - Andreas Miiller

Seems to be solved for name relationships but still open for taxon relationships.

Also for inreferences we need to implement it. Here it may even lead to a stack overflow in the cache strategy (#6426)
#7 - 02/17/2017 12:02 AM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

#8 - 02/17/2017 12:02 AM - Andreas Mdller

- Related to bug #6426: Avoid stack overflow in self referencing references added
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/c1c83a38d07bdc4286ce7abb8b30789d0c32e637
https://dev.e-taxonomy.eu/redmine/issues/6426

#9 - 10/29/2021 11:50 AM - Katja Luther
- Status changed from Feedback to In Progress

- Target version changed from Release 4.5 to Release 5.45

this is still an open issue
